### Class

# FoundryGtk ShortcutObserver

#### Description

    final class FoundryGtk.ShortcutObserver : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_shortcut_observer_new

No description available.

#### Instance methods

###### foundry_shortcut_observer_lookup

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### FoundryGtk.ShortcutObserver:model

No description available.

#### Signals

###### FoundryGtk.ShortcutObserver::accel-changed

This signal is emitted when an action is determined to have been changed by the user or some other mechanism.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGtkShortcutObserverClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.